package com.lovecoding.day10.ex03.ex04;

public class TestOther {

    public static void main(String[] args) {

        Other o = new Other(); //@0x1122

        new TestOther().addOne(o); //匿名对象.方法（）

        System.out.println(o.i);
    }

    public void addOne(final Other o){ // final 修饰的变量 赋值一次 不能修改 @0x1122
        o.i++; //改变的是i

        // o = new Other(); //不能修改 报错
    }
}

class Other{
     public int i; //需要修饰i为final 才能报错
}
